" Vim syntax file
"
" Language:     Perl
" Maintainer:   Simon Ruderich <simon@ruderich.org>
" License:      GPL v3+

" Copyright (C) 2012-2018  Simon Ruderich
"
" This file is free software: you can redistribute it and/or modify
" it under the terms of the GNU General Public License as published by
" the Free Software Foundation, either version 3 of the License, or
" (at your option) any later version.
"
" This file is distributed in the hope that it will be useful,
" but WITHOUT ANY WARRANTY; without even the implied warranty of
" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
" GNU General Public License for more details.
"
" You should have received a copy of the GNU General Public License
" along with this file.  If not, see <http://www.gnu.org/licenses/>.


" Use SpecialComment to highlight shebangs.
highlight link perlSharpBang SpecialComment

" I never use continue and break, and always confuse them with next and last.
syntax match Error "\<\(continue\|break\)\>"

" Highlight statement control keywords differently when my color scheme is
" used.
if exists('g:colors_name') && g:colors_name == 'simon'
    highlight link perlStatementControl statementControl
    " die/exit is also kind of "statement control" as it terminates the
    " program.
    syn match statementControl "\<\%(die\|exit\)\>"
endif

" Highlight for Inline::C in __DATA__/__END__ section
unlet b:current_syntax
syntax include @InlineC syntax/c.vim
syntax region perlInlineC start='^__C__$' skip='.' end='.' contains=@InlineC
syntax cluster perlDATA add=perlInlineC
