" vim: ft=xpt

" XPTemplate template file.
"
" Language:     LaTeX
" Maintainer:   Simon Ruderich <simon@ruderich.org>
" License:      GPL v3+

" Copyright (C) 2012  Simon Ruderich
"
" This file is free software: you can redistribute it and/or modify
" it under the terms of the GNU General Public License as published by
" the Free Software Foundation, either version 3 of the License, or
" (at your option) any later version.
"
" This file is distributed in the hope that it will be useful,
" but WITHOUT ANY WARRANTY; without even the implied warranty of
" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
" GNU General Public License for more details.
"
" You should have received a copy of the GNU General Public License
" along with this file.  If not, see <http://www.gnu.org/licenses/>.


" Prevent errors if XPTemplate is not installed.
if !exists('g:XPT#ver')
    finish
endif

XPTemplate priority=personal


" PACKAGES

XPT usepackage " \usepackage{..}
\usepackage{`package^}


" SECTIONS

XPT s synonym=section " \section{..}
\section`*^{`title^}

XPT ss " \subsection{..}
\subsection`*^{`title^}

XPT sss " \subsubsection{..}
\subsubsection`*^{`title^}


" ENVIRONMENTS

XPT itemize " \begin{itemize} .. \end{itemize}
\begin{itemize}
\item `cursor^
\end{itemize}

XPT enumerate " \begin{enumerate} .. \end{enumerate}
\begin{enumerate}
\item `cursor^
\end{enumerate}

XPT description " \begin{description} .. \end{description}
\begin{description}
\item`[`text?`]^ `cursor^
\end{description}

XPT i "\item ..
\item`[`text?`]^ `cursor^

XPT align " \begin{align} .. \end{align}
\begin{align`*^}
`cursor^
\end{align`*^}

XPT listing " \begin{lstlisting} .. \end{lstlisting}
\begin{lstlisting}`[`attributes?`]^
`cursor^
\end{lstlisting}


" BEAMER

XPT frame " \begin{frame} .. \end{frame}
\begin{frame}{`title^}
`cursor^
\end{frame}

XPT block " \begin{block} .. \end{block}
\begin{block}{`title^}
`cursor^
\end{block}

XPT exampleblock " \begin{exampleblock} .. \end{exampleblock}
\begin{exampleblock}{`title^}
`cursor^
\end{exampleblock}
